/*

	This program will output the sound when the mixer has nothing to play.

*/

#include <unistd.h>
#include <sys/wait.h>
#include <fcntl.h>

int main(void)
{
    for(;;)
    {
    	int p = vfork();
    	if(!p)
    	{
    	#if 1
    		int n = open("/dev/null", O_WRONLY);
    		dup2(n, 2);
    		close(n);
    		
    		execlp("mikmod",
    		       "mikmod",
    		       "-sir",
    		       "-d2",
    		       "/dosc/mod/nes/mman2_f.s3m",
    		       NULL);
    	#endif
    	#if 0
			execlp("mpg123",
	    		   "mpg123",
	    		   "-s",
	    		   "/mp3/Bisqwit/Elecman-Loop.mp3",
	    		   NULL);
	    #endif
	    	_exit(0);
	    }
	    wait(NULL);
	}
	return 0;
}
